ParsaLabs | Blog

A publication about the web and more.

TextMate 1.x in Mavericks

| Comments

If after upgrading your Mac OS to Mavericks you are faced with some issues while using TextMate 1.x (e.g. some keyboard shortcuts for Rails stop working), here’s the fix:

From the TextMate menu, go to Preferences > Advanced section. Select the Shell Variables tab. If you see a variable named PATH, edit it (by double clicking on it) or click the + button to add a new one. Enter the following value for the PATH variable:

1
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin

Issues were caused by the fact that most of the TM bundles were coded for version 1.8 of ruby, whereas in Mavericks, Apple has updated the version of default ruby to 2.0. So the above instructions will tell TM to use 1.8 for bundle items.

Comments